# opentl::core::cvdata::HoughLines Class Reference

Class for storing a vector of Hough Lines data: Segment Points in body frame (bp) Segment Points in image frame (sp) middle point (spm) Slope of the segment (m) Slope of the normal (mn) length of the segment (le). More...

List of all members.

## Classes
struct | HSEGMENT
| Stores the coordinates of hough segments points in body space & image space, also stores the hough lines data. More...
## Public Member Functions
void | addHSegment (opentl::core::cvdata::HoughLines::HSEGMENT &hs)
| Add a single segment to the vector, externally provided.
void | clear (void)
| Delete all data within an existing instance.
| HoughLines ()
| Constructor.
virtual HoughLines & | operator= (const opentl::core::cvdata::HoughLines &other)
| assign operator
void | setSp (std::size_t HoughLineIndex, CvPoint &spb, CvPoint &spe)
| Set extreme screen points of a given segment.
void | setSp (std::size_t HoughLineIndex, math::Vector2 &spb, math::Vector2 &spe)
| Set extreme screen points of a given segment.
virtual | ~HoughLines ()
| Destructor.
## Public Attributes
std::vector< HSEGMENT > | Hlines
| Hough Lines vector.
std::size_t | houghLineCounter
| Size of the vector (number of lines detected).

## Detailed Description

Class for storing a vector of Hough Lines data: Segment Points in body frame (bp) Segment Points in image frame (sp) middle point (spm) Slope of the segment (m) Slope of the normal (mn) length of the segment (le).

Author:
  dean@in.tum.de

## Constructor & Destructor Documentation

opentl::core::cvdata::HoughLines::HoughLines | ( |  | ) |

Constructor.

virtual opentl::core::cvdata::HoughLines::~HoughLines | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

void opentl::core::cvdata::HoughLines::addHSegment | ( | opentl::core::cvdata::HoughLines::HSEGMENT & | hs | ) |

Add a single segment to the vector, externally provided.

Parameters:

  | hs | Input segment (of type HSEGMENT)

void opentl::core::cvdata::HoughLines::clear | ( | void |  | ) |

Delete all data within an existing instance.

virtual HoughLines& opentl::core::cvdata::HoughLines::operator= | ( | const opentl::core::cvdata::HoughLines & | other | ) | `[virtual]`

assign operator

void opentl::core::cvdata::HoughLines::setSp | ( | std::size_t | HoughLineIndex,
|  | CvPoint & | spb,
|  | CvPoint & | spe |
| ) |  |  |

Set extreme screen points of a given segment.

Parameters:

  | HoughLineIndex | Index of the segment into the current vector
  | spb,spe | Extreme points in pixel coordinates (type CvPoint)

void opentl::core::cvdata::HoughLines::setSp | ( | std::size_t | HoughLineIndex,
|  | math::Vector2 & | spb,
|  | math::Vector2 & | spe |
| ) |  |  |

Set extreme screen points of a given segment.

Parameters:

  | HoughLineIndex | Index of the segment into the current vector
  | spb,spe | Extreme points in pixel coordinates (type math::Vector2)

## Member Data Documentation

std::vector<HSEGMENT> opentl::core::cvdata::HoughLines::Hlines

Hough Lines vector.

std::size_t opentl::core::cvdata::HoughLines::houghLineCounter

Size of the vector (number of lines detected).